setwd("C:/Users/shubh/Desktop/Acads/Thesis/Work/new_work/1. Obtaining and Processing Datascope CA Data/1. Obtaining and Processing Datascope CA Data")
dividend_data=read.csv("DC_ANZ_dividend.csv")
cleaned_div_data=na.omit(dividend_data)
library(dplyr)
cleaned_div_data=cleaned_div_data %>% select("Annualised.Dividend.Net.Amount","Dividend.Ex.Date")
processed_data = cleaned_div_data %>% group_by(Dividend.Ex.Date) %>% summarise(Annualised.Dividend.Net.Amount = sum(Annualised.Dividend.Net.Amount))
library(xts)
processed_data$Event_Type="Dividend"
processed_data$Instrument_ID="ANZ.AX"
write.csv(processed_data,"AD_ANZ_Dividend.csv",row.names=FALSE)
date_list= as.POSIXct(as.Date(processed_data$Dividend.Ex.Date,format = "%m/%d/%Y"))
date_list = round( date_list ,units='days')
processed_data=processed_data %>% select(-"Dividend.Ex.Date")
clean_xts_object=xts(processed_data,order.by = date_list)
saveRDS(clean_xts_object,file="AD_ANZ_Dividend.rds")
