setwd("C:/Users/shubh/Desktop/Acads/Thesis/Work/new_work/1. Obtaining and Processing Datascope CA Data/1. Obtaining and Processing Datascope CA Data")
dividend_data=read.csv("DC_ANZ_dividend.csv")
cleaned_div_data=na.omit(dividend_data)
require(data.table)
library(dplyr)
cleaned_div_data=cleaned_div_data %>% select(-"RIC")
cleaned_div_data=as.data.table(cleaned_div_data)
processed_data <- cleaned_div_data[cleaned_div_data[, .I[which.max(Dividend.Announcement.Date)], by=Dividend.Ex.Date]$V1]
processed_data$Event_Type="DividendAnn"
processed_data$Instrument_ID="ANZ.AX"
library(xts)
write.csv(processed_data,"AD_ANZ_DividendAnn.csv",row.names=FALSE)
date_list= as.POSIXct(as.Date(processed_data$Dividend.Announcement.Date,format = "%m/%d/%Y"))
date_list = round( date_list ,units='days')
processed_data=processed_data %>% select(-"Dividend.Announcement.Date")
clean_xts_object=xts(processed_data,order.by = date_list)
saveRDS(clean_xts_object,file="AD_ANZ_DividendAnn.rds")
