setwd("C:/Users/shubh/Desktop/Acads/Thesis/Work/new_work/learning-material/financial market data analysis/Subject 01. Daily Market Data Analysis/03. Daily Returns/4. Building daily return timeseries from Yahoo finance using R")
anz_data=read.csv("ANZ.AX.csv")
anz_data=na.omit(anz_data)
library(dplyr)
anz_data=anz_data[-grep("null",anz_data$Close),]
rownames(anz_data)=as.Date(anz_data$Date)
clean_data=dplyr::select(anz_data,-c(Adj.Close))
setnames(clean_data,old=c("Open","Close","High","Low","Volume"),new=c("OpnPrice","ClsPrice","HghPrice","LowPrice","TrdVolume"))
write.csv(clean_data,"YF_ANZ_daily.csv",row.names=FALSE)
clean_data_temp=clean_data %>% select(-Date)
library(xts)
date_list= as.POSIXct(clean_data$Date)
clean_xts_object=xts(clean_data_temp,order.by = date_list)
saveRDS(clean_data,file="YF_ANZ_daily.rds")
