setwd("C:/Users/shubh/Desktop/Acads/Thesis/Work/new_work/learning-material/financial market data analysis/Subject 01. Daily Market Data Analysis/03. Daily Returns/4. Building daily return timeseries from Yahoo finance using R")
clean_data=read.csv("YF_ANZ_daily.csv")
library(dplyr)
library(data.table)
price_next <- clean_data$ClsPrice[-(1)]
price_prev <- clean_data$ClsPrice[-length(clean_data$ClsPrice)]
#calculating arth returns
daily_selfcalc_returns=(as.double(as.character(price_next))-as.double(as.character(price_prev)))/(as.double(as.character(price_prev)))
daily_selfcalc_returns= append(daily_selfcalc_returns,NA,after=0)
clean_data$AReturn_ClsPrice=daily_selfcalc_returns

#calculating log returns
daily_selfcalc_log_returns=log(as.double(as.character(price_next))/as.double(as.character(price_prev)))
daily_selfcalc_log_returns= append(daily_selfcalc_log_returns,NA,after=0)
clean_data$LReturn_ClsPrice=daily_selfcalc_log_returns

library(quantmod)
#using quantmod
quantmod_daily_returns=Delt(as.double(as.character(clean_data$ClsPrice)))
quantmod_daily_returns
quantmod_daily_log_returns=Delt(as.double(as.character(clean_data$ClsPrice)),type = "log")
quantmod_daily_log_returns

clean_data <- cbind(Event_Type="DailyMeasures",clean_data)
clean_data <- cbind(Instrument_ID="ANZ.AX",clean_data)
#saving into csv and rds object
write.csv(clean_data,"AD_ANZ_dailyMeasures.csv",row.names=FALSE)
clean_data_temp=clean_data %>% select(-Date)
library(xts)
date_list= as.POSIXct(clean_data$Date)
clean_xts_object=xts(clean_data_temp,order.by = date_list)
saveRDS(clean_xts_object,file="AD_ANZ_dailyMeasures.rds")


